osl::rating::PatternBlockGroup Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::rating::PatternBlockGroup Class Reference

`#include <patternGroup.h>`

Inheritance diagram for osl::rating::PatternBlockGroup:
[legend]
Collaboration diagram for osl::rating::PatternBlockGroup:
[legend]

## Public Member Functions
| PatternBlockGroup (Ptype attacker)
void | show (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move m, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, vector< double > &weights) const
virtual bool | effectiveInCheck () const

## Private Attributes
Ptype | attacker

## Additional Inherited Members
Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 76 of file patternGroup.h.

## Constructor & Destructor Documentation

osl::rating::PatternBlockGroup::PatternBlockGroup | ( | Ptype | attacker) |  |
| explicit

Definition at line 199 of file patternGroup.cc.

References osl::BISHOP, osl::LANCE, osl::PTYPE_EMPTY, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, and osl::ROOK.

## Member Function Documentation

int osl::rating::PatternBlockGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env
| ) |  | const
| virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 221 of file patternGroup.cc.

References osl::alt(), osl::rating::PatternBlock::find(), osl::rating::CountEffect2::index(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_MAX, and osl::PTYPE_PIECE_MIN.

void osl::rating::PatternBlockGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Group.

Definition at line 81 of file patternGroup.h.

References osl::rating::Group::showTopN().

## Member Data Documentation

Ptype osl::rating::PatternBlockGroup::attacker
| private

Definition at line 78 of file patternGroup.h.

The documentation for this class was generated from the following files:

- patternGroup.h
- patternGroup.cc